Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS14cWNmLWhqOTItOTY3bc4AAtmk

Django REST framework XSS Vulnerability

Django REST framework (aka django-rest-framework) before 3.9.1 allows XSS because the default DRF Browsable API view templates disable autoescaping.

Permalink: https://github.com/advisories/GHSA-xqcf-hj92-967m
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS14cWNmLWhqOTItOTY3bc4AAtmk
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: almost 2 years ago
Updated: 12 months ago


CVSS Score: 6.1
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Identifiers: GHSA-xqcf-hj92-967m, CVE-2018-25045
References: Repository: https://github.com/encode/django-rest-framework
Blast Radius: 21.8

Affected Packages

pypi:django-rest-framework
Dependent packages: 28
Dependent repositories: 3,765
Downloads: 120,681 last month
Affected Version Ranges: < 3.9.1
Fixed in: 3.9.1
All affected versions: 0.1.0
All unaffected versions: